Subject: Re: [RFC][PATCH 2/9] deadlock prevention core

From: Jens Axboe <[email-masked]>
Date: Mon, 21 Aug 2006 15:38:44 +0200

On Fri, Aug 18 2006, Daniel Phillips wrote:
> nearly the same kind of function, and suffering very nearly the same kind
> of problems we had in the block layer before mingo's mempool machinery
> arrived?

Correction, the block layer wasn't buggy (eg deadlock prone) before
mempool, mempool was merely an abstraction that allowed to move this
code out of the bio.c file since it was apparent that it had other
possible users as well.

-- 
Jens Axboe